Subject: Re: bug#42095: 28.0.50; Build fails on Windows/MinGW64

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jun 2020 22:36:12 +0300

> Date: Sun, 28 Jun 2020 18:48:42 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: "Peder O. Klingenberg" <[email-masked]>, [email-masked]
> 
> P.S.  The 'getrandom' module had other MinGW-related problems, some of
> which I fixed in master, and others were reported to the Gnulib
> mailing list:
> 
>   https://lists.gnu.org/archive/html/bug-gnulib/2020-06/msg00059.html

Btw, do we have any tests in our test suite to test the getrandom
function?  I only found gnutls-tests, but they only seem to call this
for new enough version of GnuTLS.  Is it possible to come up with a
few tests?